Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class EngineDefaults

    java.lang.Object
      com.amazonaws.services.rds.model.EngineDefaults

    public class EngineDefaults

extends Object

Constructor Summary
`EngineDefaults()`

Method Summary
`String` | `getEngine()` Specifies the name of the database engine which the engine default parameters apply to.
`String` | `getMarker()` Provides an identifier to allow retrieval of paginated results.
`List<Parameter>` | `getParameters()` Contains a list of engine default parameters.
`void` | `setEngine(String engine)` Specifies the name of the database engine which the engine default parameters apply to.
`void` | `setMarker(String marker)` Provides an identifier to allow retrieval of paginated results.
`void` | `setParameters(Collection<Parameter> parameters)` Contains a list of engine default parameters.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`EngineDefaults` | `withEngine(String engine)` Specifies the name of the database engine which the engine default parameters apply to.
`EngineDefaults` | `withMarker(String marker)` Provides an identifier to allow retrieval of paginated results.
`EngineDefaults` | `withParameters(Collection<Parameter> parameters)` Contains a list of engine default parameters.
`EngineDefaults` | `withParameters(Parameter... parameters)` Contains a list of engine default parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EngineDefaults

    public EngineDefaults()

Method Detail

### getEngine

    public String getEngine()

  Specifies the name of the database engine which the engine default parameters apply to.

  Returns:
    Specifies the name of the database engine which the engine default parameters apply to.

### setEngine

    public void setEngine(String engine)

  Specifies the name of the database engine which the engine default parameters apply to.

  Parameters:
    `engine` - Specifies the name of the database engine which the engine default parameters apply to.

### withEngine

    public EngineDefaults withEngine(String engine)

  Specifies the name of the database engine which the engine default parameters apply to.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - Specifies the name of the database engine which the engine default parameters apply to.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  Provides an identifier to allow retrieval of paginated results.

  Returns:
    Provides an identifier to allow retrieval of paginated results.

### setMarker

    public void setMarker(String marker)

  Provides an identifier to allow retrieval of paginated results.

  Parameters:
    `marker` - Provides an identifier to allow retrieval of paginated results.

### withMarker

    public EngineDefaults withMarker(String marker)

  Provides an identifier to allow retrieval of paginated results.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - Provides an identifier to allow retrieval of paginated results.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getParameters

    public List<Parameter> getParameters()

  Contains a list of engine default parameters.

  Returns:
    Contains a list of engine default parameters.

### setParameters

    public void setParameters(Collection<Parameter> parameters)

  Contains a list of engine default parameters.

  Parameters:
    `parameters` - Contains a list of engine default parameters.

### withParameters

    public EngineDefaults withParameters(Parameter... parameters)

  Contains a list of engine default parameters.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - Contains a list of engine default parameters.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withParameters

    public EngineDefaults withParameters(Collection<Parameter> parameters)

  Contains a list of engine default parameters.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `parameters` - Contains a list of engine default parameters.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.